stages:    
  - build

build-job:
  stage: build
  image: docker:stable
  services:
    - docker:dind
  variables:
    GIT_STRATEGY: clone
    IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $IMAGE_TAG .
    - docker push $IMAGE_TAG


